server:
  port: 38088
spring:
  application:
    name: syn-data-task
  jackson:
    default-property-inclusion: non_null
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  jpa:
    properties:
      hibernate:
        default_schema: PUBLIC
        hbm2ddl:
          auto: update
        show_sql: true
    show-sql: true
    hibernate:
      ddl-auto: update
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://10.53.129.228:63306/szls_da_lsxmss_sjgx?serverTimezone=Asia/Shanghai&characterEncoding=utf8&allowPublicKeyRetrieval=true&useSSL=false
    username: szls_da_lsxmss
    password: 1Lzo6XqF
    # 数据源
    hikari:
      # 是客户端等待连接池连接的最大毫秒数
      connection-timeout: 30000
      # 是允许连接在连接池中空闲的最长时间
      minimum-idle: 10
      # 配置最大池大小
      maximum-pool-size: 20
      # 是允许连接在连接池中空闲的最长时间（以毫秒为单位）
      idle-timeout: 60000
      # 池中连接关闭后的最长生命周期（以毫秒为单位）
      max-lifetime: 600000
      # 配置从池返回的连接的默认自动提交行为。默认值为true。
      auto-commit: true
      # 开启连接监测泄露
      leak-detection-threshold: 5000
      # 测试连接数据库
      connection-test-query: SELECT 1
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  global-config:
    db-config:
      logic-delete-value: true
      logic-not-delete-value: false
logging:
  config: classpath:logback-spring.xml
  #日志配置
  level:
    root: info
  file:
    path: logs
# 日志文件配置
log:
  path: ./logs
  info:
    file-size: 50MB
    max-size: 5
    total-size: 200MB
  error:
    file-size: 10MB
    max-size: 5
    total-size: 50MB

swagger:
  enabled: true

task:
  host: iZ6mx01asxnsmennpzoxooZ
  switch:
    is-open: true #开关

